Subject: let's retry this based on git-rev-parse --parseopt

From: Pierre Habouzit <[email-masked]>
Date: Fri, 2 Nov 2007 23:39:47 +0100

So as it seems git-rev-parse is the place to do that, here is a new
proposal, with a few more commands migrated. Of course it doesn't means
we should not rewrite some (if not all) of the shell scripts as
builtins, but it will take some pain from the user, and provide nice
option parsers from day 1 for new porcelains.

I believe that the git-am.sh migration is a perfect example of why this
option parser helps.

Note that in the patch 1, the documentation _needs_ to be reviewed by a
native speaker.